QScintilla 2.14.1

Public Types | Public Slots | Public Member Functions | Protected Member Functions | List of all members
QsciLexerCMake Class Reference

`#include <qscilexercmake.h>`

Inherits QsciLexer.

## Public Types
enum | { Default = 0, Comment = 1, String = 2, StringLeftQuote = 3, StringRightQuote = 4, Function = 5, Variable = 6, Label = 7, KeywordSet3 = 8, BlockWhile = 9, BlockForeach = 10, BlockIf = 11, BlockMacro = 12, StringVariable = 13, Number = 14 }

## Public Slots
virtual void | setFoldAtElse (bool fold)
Public Slots inherited from QsciLexer
virtual void | setAutoIndentStyle (int autoindentstyle)
virtual void | setColor (const QColor &c, int style=-1)
virtual void | setEolFill (bool eoffill, int style=-1)
virtual void | setFont (const QFont &f, int style=-1)
virtual void | setPaper (const QColor &c, int style=-1)

## Public Member Functions
| QsciLexerCMake (QObject *parent=0)
virtual | ~QsciLexerCMake ()
const char * | language () const
const char * | lexer () const
QColor | defaultColor (int style) const
QFont | defaultFont (int style) const
QColor | defaultPaper (int style) const
const char * | keywords (int set) const
QString | description (int style) const
void | refreshProperties ()
bool | foldAtElse () const
Public Member Functions inherited from QsciLexer
| QsciLexer (QObject *parent=0)
virtual | ~QsciLexer ()
virtual int | lexerId () const
QsciAbstractAPIs * | apis () const
virtual const char * | autoCompletionFillups () const
virtual QStringList | autoCompletionWordSeparators () const
int | autoIndentStyle ()
virtual const char * | blockEnd (int *style=0) const
virtual int | blockLookback () const
virtual const char * | blockStart (int *style=0) const
virtual const char * | blockStartKeyword (int *style=0) const
virtual int | braceStyle () const
virtual bool | caseSensitive () const
virtual QColor | color (int style) const
virtual bool | eolFill (int style) const
virtual QFont | font (int style) const
virtual int | indentationGuideView () const
virtual int | defaultStyle () const
virtual QColor | paper (int style) const
QColor | defaultColor () const
virtual bool | defaultEolFill (int style) const
QFont | defaultFont () const
QColor | defaultPaper () const
QsciScintilla * | editor () const
void | setAPIs (QsciAbstractAPIs *apis)
void | setDefaultColor (const QColor &c)
void | setDefaultFont (const QFont &f)
void | setDefaultPaper (const QColor &c)
virtual void | setEditor (QsciScintilla *editor)
bool | readSettings (QSettings &qs, const char *prefix="/Scintilla")
virtual int | styleBitsNeeded () const
virtual const char * | wordCharacters () const
bool | writeSettings (QSettings &qs, const char *prefix="/Scintilla") const

## Protected Member Functions
bool | readProperties (QSettings &qs, const QString &prefix)
bool | writeProperties (QSettings &qs, const QString &prefix) const
Protected Member Functions inherited from QsciLexer
QByteArray | textAsBytes (const QString &text) const
QString | bytesAsText (const char *bytes, int size) const

## Additional Inherited Members
Signals inherited from QsciLexer
void | colorChanged (const QColor &c, int style)
void | eolFillChanged (bool eolfilled, int style)
void | fontChanged (const QFont &f, int style)
void | paperChanged (const QColor &c, int style)
void | propertyChanged (const char *prop, const char *val)

## Detailed Description

The QsciLexerCMake class encapsulates the Scintilla CMake lexer.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

This enum defines the meanings of the different styles used by the CMake lexer.

Enumerator
Default | The default.
Comment | A comment.
String | A string.
StringLeftQuote | A left quoted string.
StringRightQuote | A right quoted string.
Function | A function. (Defined by keyword set number 1.)
Variable | A variable. (Defined by keyword set number 2.)
Label | A label.
KeywordSet3 | A keyword defined in keyword set number 3. The class must be sub-classed and re-implement keywords() to make use of this style.
BlockWhile | A WHILE block.
BlockForeach | A FOREACH block.
BlockIf | An IF block.
BlockMacro | A MACRO block.
StringVariable | A variable within a string.
Number | A number.

## Constructor & Destructor Documentation

## ◆ QsciLexerCMake()

QsciLexerCMake::QsciLexerCMake | ( | QObject * | parent = `0` | ) |

Construct a QsciLexerCMake with parent parent. parent is typically the QsciScintilla instance.

## Member Function Documentation

## ◆ lexer()

const char* QsciLexerCMake::lexer | ( |  | ) | const
| virtual

Returns the name of the lexer. Some lexers support a number of languages.

Reimplemented from QsciLexer.

## ◆ defaultColor()

QColor QsciLexerCMake::defaultColor | ( | int | style | ) | const
| virtual

Returns the foreground colour of the text for style number style.

See also
  defaultPaper()

Reimplemented from QsciLexer.

## ◆ defaultPaper()

QColor QsciLexerCMake::defaultPaper | ( | int | style | ) | const
| virtual

Returns the background colour of the text for style number style.

See also
  defaultColor()

Reimplemented from QsciLexer.

## ◆ keywords()

const char* QsciLexerCMake::keywords | ( | int | set | ) | const
| virtual

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexer.

## ◆ description()

QString QsciLexerCMake::description | ( | int | style | ) | const
| virtual

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Implements QsciLexer.

## ◆ refreshProperties()

void QsciLexerCMake::refreshProperties | ( |  | ) |
| virtual

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from QsciLexer.

## ◆ foldAtElse()

bool QsciLexerCMake::foldAtElse | ( |  | ) | const

Returns true if ELSE blocks can be folded.

See also
  setFoldAtElse()

## ◆ setFoldAtElse

virtual void QsciLexerCMake::setFoldAtElse | ( | bool | fold | ) |
| virtual slot

If fold is true then ELSE blocks can be folded. The default is false.

See also
  foldAtElse()

## ◆ readProperties()

bool QsciLexerCMake::readProperties | ( | QSettings & | qs,
|  | const QString & | prefix
| ) |  |
| protected virtual

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.

## ◆ writeProperties()

bool QsciLexerCMake::writeProperties | ( | QSettings & | qs,
|  | const QString & | prefix
| ) |  | const
| protected virtual

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.